=head1 NAME

Gtk2::PageSetup

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::PageSetup



=cut


=head1 METHODS

=head2 pagesetup = Gtk2::PageSetup-E<gt>B<new> 

=head2 pagesetup = Gtk2::PageSetup-E<gt>B<new_from_file> ($file_name)

=over

=item * $file_name (localized file name) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=head2 pagesetup = Gtk2::PageSetup-E<gt>B<new_from_key_file> ($key_file, $group_name)

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string or undef) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=head2 double = $setup-E<gt>B<get_bottom_margin> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<set_bottom_margin> ($margin, $unit)

=over

=item * $margin (double) 

=item * $unit (Gtk2::Unit) 

=back

=head2 double = $setup-E<gt>B<get_left_margin> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<set_left_margin> ($margin, $unit)

=over

=item * $margin (double) 

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<load_file> ($file_name)

=over

=item * $file_name (string) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.14

=head2 $setup-E<gt>B<load_key_file> ($key_file, $group_name)

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string or undef) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.14

=head2 pageorientation = $setup-E<gt>B<get_orientation> 

=head2 $setup-E<gt>B<set_orientation> ($orientation)

=over

=item * $orientation (Gtk2::PageOrientation) 

=back

=head2 double = $setup-E<gt>B<get_page_height> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 double = $setup-E<gt>B<get_page_width> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 double = $setup-E<gt>B<get_paper_height> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<set_paper_size_and_default_margins> ($size)

=over

=item * $size (Gtk2::PaperSize) 

=back

=head2 papersize = $setup-E<gt>B<get_paper_size> 

=head2 $setup-E<gt>B<set_paper_size> ($size)

=over

=item * $size (Gtk2::PaperSize) 

=back

=head2 double = $setup-E<gt>B<get_paper_width> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 double = $setup-E<gt>B<get_right_margin> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<set_right_margin> ($margin, $unit)

=over

=item * $margin (double) 

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<to_file> ($file_name)

=over

=item * $file_name (localized file name) 

=back



May croak with a L<Glib::Error> in $@ on failure.

Since: gtk+ 2.12

=head2 $setup-E<gt>B<to_key_file> ($key_file, $group_name)

=over

=item * $key_file (Glib::KeyFile) 

=item * $group_name (string or undef) 

=back

Since: gtk+ 2.12

=head2 double = $setup-E<gt>B<get_top_margin> ($unit)

=over

=item * $unit (Gtk2::Unit) 

=back

=head2 $setup-E<gt>B<set_top_margin> ($margin, $unit)

=over

=item * $margin (double) 

=item * $unit (Gtk2::Unit) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::PageOrientation

=over

=item * 'portrait' / 'GTK_PAGE_ORIENTATION_PORTRAIT'

=item * 'landscape' / 'GTK_PAGE_ORIENTATION_LANDSCAPE'

=item * 'reverse-portrait' / 'GTK_PAGE_ORIENTATION_REVERSE_PORTRAIT'

=item * 'reverse-landscape' / 'GTK_PAGE_ORIENTATION_REVERSE_LANDSCAPE'

=back


=head2 enum Gtk2::Unit

=over

=item * 'pixel' / 'GTK_UNIT_PIXEL'

=item * 'points' / 'GTK_UNIT_POINTS'

=item * 'inch' / 'GTK_UNIT_INCH'

=item * 'mm' / 'GTK_UNIT_MM'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

